> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of directories

> List of directories of the client. For the hierarchical structure, use the "/directories/tree" method.

Use the "id" of a directory from this list as "directory_id" when uploading videos or creating subdirectories.



## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/streaming_api.yaml get /streaming/directories
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 6c0b1e54f1c7
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
  - name: Broadcasts
  - name: Directories
  - name: Overlays
  - name: Players
  - name: Playlists
  - name: QualitySets
  - name: Restreams
  - name: Statistics
  - name: Streams
  - name: Subtitles
  - name: Videos
paths:
  /streaming/directories:
    get:
      tags:
        - Directories
      summary: Get list of directories
      description: >-
        List of directories of the client. For the hierarchical structure, use
        the "/directories/tree" method.


        Use the "id" of a directory from this list as "directory_id" when
        uploading videos or creating subdirectories.
      operationId: get_directories
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/directories_list'
components:
  schemas:
    directories_list:
      type: object
      properties:
        items:
          type: array
          description: Directories of the client.
          items:
            $ref: '#/components/schemas/directory_base'
      example:
        items:
          - id: 100
            name: New series
            parent_id: null
            client_id: 102748
            items_count: 2
            created_at: '2024-07-01T18:00:00Z'
            updated_at: '2024-07-01T18:00:00Z'
    directory_base:
      type: object
      properties:
        id:
          type: integer
          description: ID of the directory
        name:
          type: string
          description: Title of the directory
        parent_id:
          type: integer
          nullable: true
          description: ID of a parent directory. "null" if it's in the root.
          default: null
        client_id:
          type: integer
          description: ID of the client (account) that owns the directory.
        items_count:
          type: integer
          description: >-
            Number of objects in this directory. Counting files and folders. The
            quantity is calculated only at one level (not recursively in all
            subfolders).
        created_at:
          type: string
          description: Time of creation. Datetime in ISO 8601 format.
        updated_at:
          type: string
          description: >-
            Time of last update of the directory entity. Datetime in ISO 8601
            format.
      example:
        id: 100
        name: New series
        parent_id: null
        client_id: 102748
        items_count: 2
        created_at: '2024-07-01T18:00:00Z'
        updated_at: '2024-07-01T18:00:00Z'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````